Error using gem has_friendship

i added the gem to my gemfile and ran bundle update but when i run
rails generate has_friendship i get the error that rails couldn’t find this
generator on rails 4.2.5

On Feb 20, 2016, at 2:45 PM, fugee ohu [email protected] wrote:

i added the gem to my gemfile and ran bundle update but when i run rails generate has_friendship i get the error that rails couldn’t find this generator
on rails 4.2.5

As others have noted, this gem is pretty old, and likely has not been
updated to support newer Rails. At some point, it became pretty common
for generator tasks to require a colon-separated signature: rails
generate bootstrap:install rather than rails generate bootstrap_install.
Read the source code for your gem on Github, and see what the name of
the generator file is and what each of the defined tasks are within it.
See if you can get it to run by calling rails generate [whatever the
generator file is named, minus the _generator part]:[whatever the task
method is named].

Walter

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs